M2(1)

NAME
M2 - start Macaulay2, a software system for algebraic geometry research.

SYNOPSIS
M2 [option ...] [file ...]

DESCRIPTION
The command M2 starts Macaulay2, which is a software system devoted to supporting research in algebraic geometry and commutative algebra.

  Options

--help
    print this brief help message and exit

--no-backtrace
    print no backtrace after error

--copyright
    display full copyright message

--no-debug
    do not enter debugger upon error

--debug n
    debug warning message n by signalling an error

--int
    don't handle interrupts

--notify
    notify when loading files during initialization and when evaluating command line arguments

--no-prompts
    print no input prompts

--no-readline
    don't use readline

--no-core
    don't load the Core

--no-threads
    don't start any additional threads (or tasks)

--prefix DIR
    set prefixDirectory

--print-width n
    set printWidth=n (the default is the window width)

--script
    as first argument, interpret second argument as name of a script implies --stop, --no-debug, --silent and -q see scriptCommandLine

--silent
    no startup banner

--stop
    exit on error

--texmacs
    TeXmacs session mode

--version
    print version number and exit

-q  don't load user's init.m2 file or use packages in home directory

-E '...'
    evaluate expression '...' before initialization

-e '...'
    evaluate expression '...' after initialization

SEE ALSO

The documentation for Macaulay2 is available locally starting in ${prefix}/share/doc/Macaulay2/Macaulay2Doc/html/index.html, where ${prefix} is replaced by the directory prefix used when the package was installed. The directory is available as the value of the Macaulay2 variable prefixDirectory, but the best way to get to the documentation is to run the command viewHelp in Macaulay2.

The home page for Macaulay2 is https://macaulay2.com/.

AUTHOR

Macaulay2 is written by Daniel R. Grayson and Michael E. Stillman with generous support of the National Science Foundation, for which we are grateful.

COPYRIGHT

Macaulay2 is copyright 2019 by Daniel R. Grayson and Michael E. Stillman. We permit you to use it under the terms of the GNU General Public License, version 2 or version 3, as published by the Free Software Foundation. This is free software. There is no warranty; not even for merchantability or fitness for a particular purpose.